org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Class TailTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.TailTest

- Direct Known Subclasses:
    TailTest.Traversals

      public abstract class TailTest
      extends AbstractGremlinProcessTest

  Original spec: https://issues.apache.org/jira/browse/TINKERPOP-670
  Author:
    Matt Frantz (http://github.com/mhfrantz)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TailTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TailTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXlimitXlocal_0XX_tailXlocal_1X()` Scenario: Local scope, List input, N=1, empty input
    `void` | `g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocal_1X()` Scenario: Local scope, List input, N=1
    `void` | `g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocal_2X()` Scenario: Local scope, List input, N>1
    `void` | `g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocalX()` Scenario: Local scope, List input, default N=1
    `void` | `g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_tailXlocal_1X()` Scenario: Local scope, Map input, N=1
    `void` | `g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_tailXlocal_2X()` Scenario: Local scope, Map input, N>1
    `void` | `g_V_repeatXbothX_timesX3X_tailX7X()` Scenario: Global scope, using repeat (BULK)
    `void` | `g_V_repeatXin_outX_timesX3X_tailX7X_count()` Scenario: Global scope, using repeat (excess BULK)
    `void` | `g_V_valuesXnameX_order_tail()` Scenario: Default is global, N=1
    `void` | `g_V_valuesXnameX_order_tailX2X()` Scenario: Default scope is global
    `void` | `g_V_valuesXnameX_order_tailX7X()` Scenario: Global scope, not enough elements
    `void` | `g_V_valuesXnameX_order_tailXglobal_2X()` Scenario: Global scope
    `abstract Traversal<Vertex,String>` | `get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXlimitXlocal_0XX_tailXlocal_1X()`
    `abstract Traversal<Vertex,String>` | `get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocal_1X()`
    `abstract Traversal<Vertex,List<String>>` | `get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocal_2X()`
    `abstract Traversal<Vertex,String>` | `get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocalX()`
    `abstract Traversal<Vertex,Map<String,String>>` | `get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_tailXlocal_1X()`
    `abstract Traversal<Vertex,Map<String,String>>` | `get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_tailXlocal_2X()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_repeatXbothX_timesX3X_tailX7X()`
    `abstract Traversal<Vertex,Long>` | `get_g_V_repeatXin_outX_timesX3X_tailX7X_count()`
    `abstract Traversal<Vertex,String>` | `get_g_V_valuesXnameX_order_tail()`
    `abstract Traversal<Vertex,String>` | `get_g_V_valuesXnameX_order_tailX2X()`
    `abstract Traversal<Vertex,String>` | `get_g_V_valuesXnameX_order_tailX7X()`
    `abstract Traversal<Vertex,String>` | `get_g_V_valuesXnameX_order_tailXglobal_2X()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TailTest

          public TailTest()

  - ### Method Detail

    - #### get_g_V_valuesXnameX_order_tailXglobal_2X

          public abstract Traversal<Vertex,String> get_g_V_valuesXnameX_order_tailXglobal_2X()

    - #### get_g_V_valuesXnameX_order_tailX2X

          public abstract Traversal<Vertex,String> get_g_V_valuesXnameX_order_tailX2X()

    - #### get_g_V_valuesXnameX_order_tail

          public abstract Traversal<Vertex,String> get_g_V_valuesXnameX_order_tail()

    - #### get_g_V_valuesXnameX_order_tailX7X

          public abstract Traversal<Vertex,String> get_g_V_valuesXnameX_order_tailX7X()

    - #### get_g_V_repeatXbothX_timesX3X_tailX7X

          public abstract Traversal<Vertex,Vertex> get_g_V_repeatXbothX_timesX3X_tailX7X()

    - #### get_g_V_repeatXin_outX_timesX3X_tailX7X_count

          public abstract Traversal<Vertex,Long> get_g_V_repeatXin_outX_timesX3X_tailX7X_count()

    - #### get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocal_2X

          public abstract Traversal<Vertex,List<String>> get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocal_2X()

    - #### get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocal_1X

          public abstract Traversal<Vertex,String> get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocal_1X()

    - #### get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocalX

          public abstract Traversal<Vertex,String> get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocalX()

    - #### get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXlimitXlocal_0XX_tailXlocal_1X

          public abstract Traversal<Vertex,String> get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXlimitXlocal_0XX_tailXlocal_1X()

    - #### get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_tailXlocal_2X

          public abstract Traversal<Vertex,Map<String,String>> get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_tailXlocal_2X()

    - #### get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_tailXlocal_1X

          public abstract Traversal<Vertex,Map<String,String>> get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_tailXlocal_1X()

    - #### g_V_valuesXnameX_order_tailXglobal_2X

          public void g_V_valuesXnameX_order_tailXglobal_2X()

      Scenario: Global scope

    - #### g_V_valuesXnameX_order_tailX2X

          public void g_V_valuesXnameX_order_tailX2X()

      Scenario: Default scope is global

    - #### g_V_valuesXnameX_order_tail

          public void g_V_valuesXnameX_order_tail()

      Scenario: Default is global, N=1

    - #### g_V_valuesXnameX_order_tailX7X

          public void g_V_valuesXnameX_order_tailX7X()

      Scenario: Global scope, not enough elements

    - #### g_V_repeatXbothX_timesX3X_tailX7X

          public void g_V_repeatXbothX_timesX3X_tailX7X()

      Scenario: Global scope, using repeat (BULK)

    - #### g_V_repeatXin_outX_timesX3X_tailX7X_count

          public void g_V_repeatXin_outX_timesX3X_tailX7X_count()

      Scenario: Global scope, using repeat (excess BULK)

    - #### g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocal_2X

          public void g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocal_2X()

      Scenario: Local scope, List input, N>1

    - #### g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocal_1X

          public void g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocal_1X()

      Scenario: Local scope, List input, N=1

    - #### g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocalX

          public void g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_tailXlocalX()

      Scenario: Local scope, List input, default N=1

    - #### g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXlimitXlocal_0XX_tailXlocal_1X

          public void g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXlimitXlocal_0XX_tailXlocal_1X()

      Scenario: Local scope, List input, N=1, empty input

    - #### g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_tailXlocal_2X

          public void g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_tailXlocal_2X()

      Scenario: Local scope, Map input, N>1

    - #### g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_tailXlocal_1X

          public void g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_tailXlocal_1X()

      Scenario: Local scope, Map input, N=1

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.